<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">

<body>
<ui:composition>

    <h:panelGroup rendered="#{datasetPagingBean.dataList.size() eq 0}" styleClass="alert alert-info" layout="block">
        <h:outputText id="noDistributions" value="#{msg['common.nothing_to_show']}"/>
    </h:panelGroup>

    <ui:repeat value="#{datasetPagingBean.dataList}" var="dataset">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    <span id="#{dataset.title}" class="truncate-name wd100"
                          title="#{dataset.title}">#{dataset.title}</span>
                </h3>
            </div>

            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <ui:repeat value="#{dataset.distributions.toArray()}"
                                   var="distribution">

                            <div class="well">
                                <dl class="dl-horizontal">
                                    <dt>
                                        <h:outputText value="#{msg['common.access_url']}"/>
                                    </dt>
                                    <dd>
                                        <a class="truncate-name wd70" href="#{distribution.accessUrl}">#{distribution.accessUrl}</a>
                                    </dd>

                                    <dt>
                                        <h:outputText value="#{msg['common.status']}"/>
                                    </dt>
                                    <dd>
                                        <h:outputText id="accessUrlStatus-#{distribution.id}"
                                                      title="#{distribution.accessErrorMessage} (#{distribution.statusAccessUrl})"
                                                value="#{distribution.accessErrorMessage}"/>
                                    </dd>

                                    <!--
                                    <dt>
                                        <h:outputText value="#{msg['common.since']}"/>
                                    </dt>
                                    <dd>
                                        <h:outputText id="accessUrlLastChangeDate-#{distribution.id}"
                                                      title="#{distribution.statusAccessUrlLastChangeDate}"
                                                value="#{distribution.statusAccessUrlLastChangeDate}">
                                            <f:converter binding="#{dateTimeConverterMedium}"/>
                                        </h:outputText>
                                    </dd>
                                    -->
                                    <h:panelGroup rendered="#{distribution.downloadUrl eq null}">
                                        <dt>
                                            <h:outputText value="#{msg['distributions.format.name']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText value="#{distribution.format} "/>
                                            <h:panelGroup id="distributionFormat-#{distribution.id}" styleClass="label label-warning"
                                                          rendered="#{not formats.isFormatMachineReadable(distribution.format)}">
                                                <h:outputText
                                                        value="#{msg['distributions.format.notmachinereadable']}"/>
                                            </h:panelGroup>
                                        </dd>
                                    </h:panelGroup>
                                    <h:panelGroup
                                            rendered="#{distribution.downloadUrl eq null and distribution.statusAccessUrl eq 200}">

                                        <dt>
                                            <h:outputText value="#{msg['distributions.mediatype_given']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText id="distributionMediaTypeGiven-#{distribution.id}" value="#{distribution.mediaType}"/>
                                        </dd>

                                        <dt>
                                            <h:outputText value="#{msg['distributions.mediatype_checked']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText id="distributionMediaTypeChecked-#{distribution.id}" value="#{distribution.mediaTypeChecked}"/>
                                        </dd>
                                    </h:panelGroup>
                                </dl>
                                <h:panelGroup rendered="#{distribution.downloadUrl != null}">
                                    <hr/>

                                    <dl class="dl-horizontal">
                                        <dt>
                                            <h:outputText value="#{msg['common.download_url']}"/>
                                        </dt>
                                        <dd>
                                            <a class="truncate-name wd70" href="#{distribution.downloadUrl}">#{distribution.downloadUrl}</a>
                                            <!--
                                            <h:outputLink id="downloadUrl-#{distribution.id}" value="#{distribution.downloadUrl}"
                                                          title="#{distribution.downloadUrl}"
                                                          target="_blank">
                                                <f:converter binding="#{distributionUrlConverter}"/>
                                                <h:outputText
                                                        value="#{distribution.downloadUrl}"><f:converter
                                                        binding="#{distributionUrlConverter}"/></h:outputText>
                                            </h:outputLink>
                                            -->
                                        </dd>

                                        <dt>
                                            <h:outputText value="#{msg['common.status']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText id="downloadUrlStatus-#{distribution.id}"
                                                          title="#{distribution.downloadErrorMessage} (#{distribution.statusDownloadUrl})"
                                                    value="#{distribution.statusDownloadUrl}"/>
                                        </dd>
                                        <!--
                                        <dt>
                                            <h:outputText value="#{msg['common.since']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText id="downloadUrlLastChangeDate-#{distribution.id}"
                                                          title="#{distribution.statusDownloadUrlLastChangeDate}"
                                                    value="#{distribution.statusDownloadUrlLastChangeDate}">
                                                <f:converter binding="#{dateTimeConverterMedium}"/>
                                            </h:outputText>
                                        </dd>
                                        -->
                                        <dt>
                                            <h:outputText value="#{msg['distributions.format.name']}"/>
                                        </dt>
                                        <dd>
                                            <h:outputText id="downloadUrlFormat-#{distribution.id}" value="#{distribution.format} "/>
                                            <h:panelGroup styleClass="label label-warning"
                                                          rendered="#{not formats.isFormatMachineReadable(distribution.format)}">
                                                <h:outputText
                                                        value="#{msg['distributions.format.notmachinereadable']}"/>
                                            </h:panelGroup>
                                        </dd>
                                        <h:panelGroup rendered="#{distribution.statusDownloadUrl eq 200}">
                                            <dt>
                                                <h:outputText value="#{msg['distributions.mediatype_given']}"/>
                                            </dt>
                                            <dd>
                                                <h:outputText id="downloadUrlMediaTypeGiven-#{distribution.id}" value="#{distribution.mediaType}"/>
                                            </dd>

                                            <dt>
                                                <h:outputText value="#{msg['distributions.mediatype_checked']}"/>
                                            </dt>
                                            <dd>
                                                <h:outputText id="downloadUrlMediaTypeChecked-#{distribution.id}" value="#{distribution.mediaTypeChecked}"/>
                                            </dd>
                                        </h:panelGroup>
                                    </dl>
                                </h:panelGroup>
                            </div>
                        </ui:repeat>
                    </div>
                </div>
            </div>
            <div class="panel-footer">
                <ui:include src="/WEB-INF/compositions/issueTableHeading.xhtml"/>
            </div>
        </div>
    </ui:repeat>
</ui:composition>
</body>
</html>
